Skip to content

Changelog dh-python (3.20180325ubuntu2)

2018

dh-python (3.20180325ubuntu2) bionic; urgency=medium

   * Fix typo and really depend on python3-distutils

dh-python (3.20180325ubuntu1) bionic; urgency=medium

   * Make python3-distutils a dependency, not just a recommendation.

dh-python (3.20180325) unstable; urgency=medium

   * pybuild: fix cross compiling stuff to use dpkg-architecture if available
     (and move dpkg-dev to Suggests)
   * Add python3-distuils to Recommends to make the transition easier

dh-python (3.20180318) unstable; urgency=medium

   [ Ondřej Nový ]
   * d/copyright: Use https protocol in Format field
   * d/changelog: Remove trailing whitespaces
 
   [ Ben Finney ]
   * Ignore leading and trailing whitespace from ‘pydist’ lines when parsing
     (closes: 860139)
 
   [ Piotr Ożarowski ]
   * pybuild.pm: add support for DEBPYTHON{3,}_{DEFAULT,SUPPORTED} env. vars
     (closes: 861132)
   * pybuild:
     - support cross compiling Python 3.X extensions (i.e. set
       _PYTHON_SYSCONFIGDATA_NAME env. and add dpkg-dev to Depends
       closes: 892931)
   * Standards-Version is 4.1.3 now (no changes needed)

dh-python (3.20180313) unstable; urgency=medium

   [ Ondřej Nový ]
   * When depends on python{3,}-pbr, set PBR_VERSION to upstream version
 
   [ Dirk Thomas ]
   * Use relative install-scripts path in pybuild's distutils build system
 
   [ Piotr Ożarowski ]
   * dh_python2: rewrite /usr/bin/python shebangs to /usr/bin/python2
   * pybuild:
     * copy files listed in debian/pybuild.testfiles to build directory before
       test step and remove them before install step
     * improve support for building multiple (Python) distributions at once
       (PYBUILD_NAME=foo dh $@ -Spybuild --sourcedirectory=dir1;
        PYBUILD_NAME=bar dh $@ -Spybuild --sourcedirectory=dir2)
     * add --print option to print pybuild's internal parameters
       (example: `pybuild --print build_dir --interpreter python3`)
     * add --ext-sub-pattern and --ext-sub-repl options (can be used f.e. to
       move some files from dist-packages to private directory)
     * if --name contains underscore, replace it with dash in suggested package
       names
     * try a bit harder to guess (if not explicitly requested) interpreter
       versions to build for, especially if versioned interpreter was requested
 
     WARNING: pybuild's internal dir names were changed, use --print if you
     really have to use these paths in debian/rules

2017

dh-python (2.20170125) unstable; urgency=medium

   * pybuild.pm:
     - enable --test-{nose,pytest,tox} if appropriate pypy-* build
       dependency is set
   * pybuild: set _PYTHON_HOST_PLATFORM in the environment to ensure debugging
     symbols (reproducible builds effort). Thanks to Chris Lamb for the patch
     (closes: 835805)
   * dh_python{2,3} manpage: remove "s" suffix from *-section options
     to match the actual option name and --help output (closes: 847304)
   * dh_python{2,3}:
     - do not drop "module" from extension name if the name is "module",
       i.e. without prefix (closes: 841148)
     - add --accept-upstream-versions option. Thanks to Malte Forkel for the
       patch (also closes: 847387 as it now parses minimum/maximum version)

2016

dh-python (2.20160818) unstable; urgency=medium

   [ Chris Lamb ]
   * dh_py*: do not copy build profiles into substvars (closes: 834238)
   * pybuild: log "before" and "after" commands by default (closes: 834506)
 
   [ Piotr Ożarowski ]
   * dh_py*: add --{depends,recommends,suggests}-section options
     Use these options if you want to translate section(s) of requires.txt
     file into Depends/Recommends/Suggests
   * Mention pydist override file names and their priority in README.PyDist

dh-python (2.20160721) unstable; urgency=medium

   * pybuild.pm: recognize ":any" build dependencies (closes: 828883)
   * Save helper's name in autogenerated maintainer scripts (closes: 827774)

dh-python (2.20160609) unstable; urgency=medium

   [ Piotr Ożarowski ]
   * pybuild's distutils build plugin: use force option at install stage to
     avoid non-deterministic shebangs (closes: 804339)
   * pybuild.pm:
     - fail with a message about missing interpreter package in
       Build-Depends if there's none (closes: 819353)
     - do not pass --dir to pybuild if it's equal to current directory
       (to make PYBUILD_DIR override possible)
   * dh_pypy: fix dpkg search template to find more pypy egg-info packages
   * dh_py*:
     - add interpreter to Depends if .so file is detected in private dir
       only if python{,3,all,3-all}-dev is in Build-Depends (closes: 811083)
     - use Build-Depends' minimum version for required libraries if other
       methods to detect it failed (closes: 791433)
     - --requires now tries to find given file in debian/pkg-name/ dir
       (`--requires foo/bar.txt` will try debian/python3-spam/foo/bar.txt and
       fall back to ./foo/bar.txt)
     - print an error if there's no package to act on
     - fix handling symlinks while moving files to common directory
       (closes: 801719)
 
   [ Ondřej Nový ]
   * When depends on python{3,}-setuptools-scm, set
     SETUPTOOLS_SCM_PRETEND_VERSION to upstream version
   * Standards-Version is 3.9.8 now (no changes needed)
   * Changed Vcs-* URLs to https protocol
 
   [ James Page ]
   * dhpython/pydist.py: Ensure that != dependency versions are ignored
     (LP: #1581065).

2015

dh-python (2.20151103) unstable; urgency=medium

   * dh_py*:
     - remove lines from requires.txt already translated into Debian
       dependencies
     - remove SOURCES.txt from egg-info directories (closes: 802882)
   * dh_pypy: generate pypy-abi-foo dependencies for PyPy extensions
     (closes: 803689)
   * pybuild:
     - build default interpreter version last (in case previous build
       results are overwritten, like in distutils build system)
     - remove (just before install stage) egg-info dirs generated in build_dir
       during test stage (closes: 803242)
   * Move libdpkg-perl from Depends to Suggests. python3 still depends on
     dh-python and we don't want to pull Perl when python3 is intalled
     (libdpkg-perl is pulled in by debhelper anyway)
   * Add README.rst file

dh-python (2.20150826) unstable; urgency=medium

   * Remove '--with-doctest' from nose call, closes: 749506
     to re-enable it: export PYBUILD_TEST_ARGS=--with-doctest
   * Build-Depends based test suite detection is used only if PYBUILD_TEST_FOO
     is not set to 1
   * dh_python2: do not try to move files to pyshared if package doesn't
     provide public modules (f.e. due to interpreter version no longer
     supported or installed), closes: 793148

dh-python (2.20150728) unstable; urgency=medium

   * dh_python3: fix module renaming in Python >= 3.5 (SOABI now includes
     MULTIARCH triplet)
   * pybuild.pm:
     - fix parsing Build-Depends with comments (closes: 793609, thanks to James
       McCoy for the patch) - new build/runtime dependency: libdpkg-perl
     - enable --test-{nose,pytest,tox} if appropriate build dependency is set
   * pybuild:
     - allow localhost connections (via no_proxy=localhost, thanks to
       Dimitri John Ledkov)
     - do not forward empty http{,s}_proxy env. vars - some tools do not like it
   * dh_python{2,3} and dh_pypy: skip packages with private modules that
     do not have apropriate ${*:Depends} substvar in Depends
     (-p/-N in debian/rules to select the right package is no longer needed,
     now you can select the right tool by adding substvar)
   * generate_fallback_list.py: add support for --ubuntu (requires
     python3-distro-info package, thanks to James Page for original patch,
     closes LP: #1422433)

dh-python (2.20150719) unstable; urgency=medium

   * Update dist_fallback files
   * Converted to native package and bumped version number to 2.*
   * dh_python{2,3}:
     - remove empty directories (closes: 761028)
     - remove "test" and "tests" directories from dist-packages/
       (packages should ship tests in /usr/share/ or under thier own namespace)
   * Make private dir autoscript snippets output in a determinstic order
     (closes: 792436, thanks to Chris Lamb for the patch)
   * Clarify purpose of .pydist files (closes: 778633, thanks to Nikolaus Rath
     for the patch)
   * Remove "module" from extension file names also in Python 2.7

dh-python (1.20150705-1) unstable; urgency=medium

   * Support requires.txt in PyPy packages.
   * Add unit tests for bugs fixed in this and the previous upload.

dh-python (1.20150628-1) unstable; urgency=medium

   * Fix path handling when --ext-dest-dir is used. Some characters were being
     stripped from the beginning of the path.
   * Re-apply Multi-Arch change.
   * Remove XS-Testsuite control field, no longer necessary.
   * Sort namespace files, for reproducibility. Thanks to Chris Lamb for the
     patch. (closes: 777134)

2014

dh-python (1.20141111-2) unstable; urgency=medium

   * Remove Multi-Arch change from previous upload (not accepted for Jessie by
     release managers)

dh-python (1.20141111-1) unstable; urgency=medium

   * Set dh-python's Multi-Arch to "foreign" (closes: 767339)
   * dist_fallback files now contain list of all packages that provide Egg
     metadata (i.e. not just packages that don't have sensible name)
   * dh_python* no longer guesses dependency from requires.txt files nor Requires
     fields. Dependencies are generated only if given requirement is available
     in dist_fallback file (generated at dh-python's build time) or if it's
     available at build time (hint: Build-Depends)

dh-python (1.20141026-1) unstable; urgency=medium

   [ Stefano Rivera ]
   * Update supported (and default) PyPy version to 2.4.
 
   [ Piotr Ożarowski ]
   * Remove "-p " from autoscripts if --compile-all option is set
   * Add support for guessing dependencies from egg-info files (closes: 756378)
   * Parse "!=" relationship in egg dependencies (closes: 754058, thanks to
     Rafael Laboissiere for the patch)
   * Improve handling pyinstall/pyremove files (leading slash no longer needed
     for deprecated directories, manpages improved a bit) - closes: 741381
   * Suggest the right file name for dependency overrides (closes: 748296)
   * Add argparse to Python 3.X's dist fallback (closes: 763200)
   * Ensure that Depends and the likes are written in a stable
     order (closes: 759231, thanks to Jérémy Bobbio for the patch)
   * Remove dh_python2 diversions while upgrading from bpo package
   * Standards-Version bumped to 3.9.6 (no changes needed)

dh-python (1.20140511-1) unstable; urgency=medium

   [ Piotr Ożarowski ]
   * pybuild: do not invoke clean commands for missing interpreters
     (and thus do not require all interpreter versions to be installed while
     building source package outside build environment, closes: 737091)
   * dh_python2: no longer moves files to /usr/share/pyshared if there's only
     one supported Python 2.X version and doesn't create /usr/lib/pyshared
     symlinks for extensions (as other helper tools are now deprecated)
   * Show fix_shebang's error messages only in debug mode, closes: 745581
 
   [ Matthias Klose ]
   * Remove empty directories when moving files.

dh-python (1.20140128-1) unstable; urgency=low

   * dh_python3, dh_pypy: add support for debian/package.pyremove files
     (closes: 730777)
   * dh_python3: add multiarch tuples to all already tagged extensions
     when more than one Python 3 version is supported (closes: 733128)
   * Make sure only first line is taken into account while checking shebangs
     (closes: 732308)
   * Assume UTF-8 encoding also in non UTF-8 environments while opening text
     files (closes: 735370)
   * Mention in pybuild's manpage that disabling anything for python3 doesn't
     disable python3-dbg as well (closes: 735899)
   * pybuild's distutils build plugin: set install-scripts to /usr/bin by default
   * Test Python 2.7 only in test203 if /usr/bin/python2.6 is missing
     (closes: 727674)
   * Generate dependencies for minimum required interpreter version that are
     satisfied by alpha/beta/rc releases (i.e. generate ">= X.Y~")
   * pybuild build plugins: show executed command (not only in --verbose),
     closes: 733755
   * Standards-Version bumped to 3.9.5 (no changes needed)

2013

dh-python (1.20131021-1) unstable; urgency=low

   * dh_python2: fix renaming debug extensions with multiarch tuples

dh-python (1.20131017-1) unstable; urgency=low

   [ Stefano Rivera ]
   * distutils build plugin: use default interpreter symlink in build step as
     well as the install step (if interpreter version matches the default one).
     So that shebangs in setuptools scripts.
 
   [ Piotr Ożarowski ]
   * dh_python2: searching for packages with egg-info fixed
   * dh_python2: fix public module version detection (regression)
   * dh_py*: "so" files no longer detected as extensions (closes: 726616)
   * pybuild: set PYTHON_LIBRARY and PYTHON_INCLUDE_DIR in cmake build
     plugin's configure step
 
   [ B. Clausius ]
   * pybuild: no longer fails if source directory path contains braces
     (closes: 726458)

dh-python (1.20131003-1) unstable; urgency=low

   * Revert python-docutils build dependency change (to avoid circular
     dependencies)
   * Install PyDist fallback files

dh-python (1.20130917-1) unstable; urgency=low

   * dh_python{2,3}:
     - bump minimum required python{,3}:any version to workaround #723586
     - generate :any dependencies to specify range of supported Python versions
       (doesn't include extensions case), closes: 723070

dh-python (1.20130913-1) unstable; urgency=low

   [ Piotr Ożarowski ]
   * dh_py*:
     - add --requires option
     - do not generate "python2" dependency while guessing private
       extension's version using shebangs in other files (closes: #722307)
 
   [ Steve Langasek ]
   * Adjust dh_python to be multiarch-friendly (closes: 722045)
 
   [ B. Clausius ]
   * pybuild: fix --test when LC_ALL=C and setup.py contains non-ascii
     characters (closes: 722214)

dh-python (1.20130903-1) unstable; urgency=low

   * dh_python2, dh_python3, dh_pypy:
     - do not rename extensions in directories that include architecture triplet
       as part of the path (closes: 721696)
     - add --no-ext-rename option

dh-python (1.20130902-1) unstable; urgency=low

   * Fix DESTDIR guessing (from --name) for non-default interpreter versions
   * Add {package} to supported variables in command templates

dh-python (1.20130901-1) unstable; urgency=low

   [ Dmitrijs Ledkovs ]
   * Fix pybuild.pm when PYBUILD_INTERPRETERS is set
     (broken in previous upload, closes: #720744)
   * Bump doctests s/3.2/3.3/
 
   [ Piotr Ożarowski ]
   * Add Barry Warsaw to co-maintainers
   * pybuild:
     - mention {version.major} and {version.minor} in pybuild's manpage
       (closes: 721068)
     - add --test-tox option (PYBUILD_TEST_TOX=1 works too, like with
       other pybuild options), closes: 721067
     - set https_proxy to 127.0.0.1 if it's not set (similar to http_proxy)
     - distutils build plugin: use default interpreter symlink in install step
       (if interpreter version matches the default one) - this will force
       distutils to not hardcode interpreter version in shebangs
     - fix problem with relative paths when dh's --sourcedirectory is used
     - add --name (PYBUILD_NAME) option
   * dh_python{2,3} and dh_pypy: generate "interpreter (>= X.Y),
     interpreter (<< X.Z)" dependency if private directory contains extensions
     even if there are no .py files inside (closes: 720258)
   * Disable two tests in test201 dir if /usr/bin/python2.6 is not available
   * Replace python-docutils build dependency with python3-docutils (both
     provide rst2man)
 
   [ Dmitry Shachnev ]
   * Make sure tests do not require python-support.
   * Add "dh-python" and "nosetests" autopkgtests.

dh-python (1.20130819-1) unstable; urgency=low

   * Do not translate X-Python{,3}-Version into Depends if there are no Python
     files in the package
   * pybuild's distutils build plugin: set --root only in install step.
     dh doesn't pass DESTDIR in other steps and hence files for single binary
     packages ended in debian/tmp by default (closes: 719434)
   * Fix typo in plugin_cmake.py (thanks to D. Barbier, closes: #719528)
   * pybuild: --test-nose/--test-pytest have higher priority than setup.py's
     test_suite now
   * pybuild.pm: remove .pyc files in clean target
   * pybuild: directory paths escaping fixed
   * install README.PyDist file in dh-python package (closes: #698144)
   * Replace "libpython3.3-stdlib, python3.2" build depentency with
     libpython3-stdlib (which is already in unstable)

dh-python (1.20130807-1) unstable; urgency=low

   * dh_python3: do not add multiarch triplets in python3.2's extensions -
     multiarch support was disabled in this interpreter
   * dh_pypy: fix prerm script to remove .pyc files (thanks to Jakub Wilk)
   * pybuild:
     - rename PYBUILD_DEBUG env. var. to PYBUILD_VERBOSE
     - run `pypy -m unittest discover -v` in test target for pypy interpreter
     - add --test-nose and --test-pytest options (can be enabled also via
       PYBUILD_TEST_NOSE=1 or PYBUILD_TEST_PYTEST=1)

dh-python (1.20130728-1) unstable; urgency=low

   * Upload to unstable, breaks/replaces python3 << 3.3.2-4~
   * Ignore missing or broken /usr/share/python{,3}/debian_defaults config
     files while checking for default/supported Python {2,3} versions
   * dh_python3: fix renaming (tagging) non-default public extensions that were
     not installed directly in dist-packages/ (../dist-packages/foo/bar.so, etc.)

dh-python (1.0~b1-1) experimental; urgency=low

   * Initial release.